summaryrefslogtreecommitdiffstats
path: root/source/d/clisp/clisp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/clisp/clisp.SlackBuild')
-rwxr-xr-xsource/d/clisp/clisp.SlackBuild29
1 files changed, 21 insertions, 8 deletions
diff --git a/source/d/clisp/clisp.SlackBuild b/source/d/clisp/clisp.SlackBuild
index 49e4f768d..4d6b43f48 100755
--- a/source/d/clisp/clisp.SlackBuild
+++ b/source/d/clisp/clisp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,15 +21,23 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.47
-DIRNAME=2.47
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
+VERSION=2.48
+DIRNAME=2.48
+BUILD=${BUILD:-1}
# Bundled libraries:
FFCALLVER=20080704cvs
-LIBSIGSEVVER=2.6
+LIBSIGSEVVER=2.8
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -40,8 +48,13 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-clisp
@@ -53,7 +66,7 @@ mkdir -p $TMP $PKG
# First we need this. It used to ship with CLISP, but no longer does.
cd $TMP
rm -rf libsigsegv-$LIBSIGSEVVER
-tar xvf $CWD/libsigsegv-$LIBSIGSEVVER.tar.bz2 || exit 1
+tar xvf $CWD/libsigsegv-$LIBSIGSEVVER.tar.?z* || exit 1
cd libsigsegv-$LIBSIGSEVVER || exit 1
chown -R root:root .
find . \